Package com.independentsoft.office.spreadsheet

# Class CustomSheetView

java.lang.Object
com.independentsoft.office.spreadsheet.CustomSheetView

public class CustomSheetView extends Object
The Class CustomSheetView.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomSheetView()`
  Instantiates a new custom sheet view.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CustomSheetView`
  `clone()`
  `AutoFilter`
  `getAutoFilter()`
  Gets the auto filter.
  `int`
  `getColorID()`
  Gets the color id.
  `String`
  `getGuid()`
  Gets the guid.
  `HeaderFooterSettings`
  `getHeaderFooterSettings()`
  Gets the header footer settings.
  `List<Break>`
  `getHorizontalPageBreaks()`
  Gets the horizontal page breaks.
  `PageMargins`
  `getPageMargins()`
  Gets the page margins.
  `PageSetupSettings`
  `getPageSetupSettings()`
  Gets the page setup settings.
  `PrintOptions`
  `getPrintOptions()`
  Gets the prints the options.
  `int`
  `getPrintScale()`
  Gets the prints the scale.
  `Selection`
  `getSelection()`
  Gets the selection.
  `String`
  `getTopLeftCell()`
  Gets the top left cell.
  `List<Break>`
  `getVerticalPageBreaks()`
  Gets the vertical page breaks.
  `SheetViewPane`
  `getViewPane()`
  Gets the view pane.
  `SheetViewType`
  `getViewType()`
  Gets the view type.
  `SheetVisibilityType`
  `getVisibilityState()`
  Gets the visibility state.
  `boolean`
  `hasHiddenColumns()`
  Checks for hidden columns.
  `boolean`
  `hasHiddenRows()`
  Checks for hidden rows.
  `boolean`
  `hasPrintArea()`
  Checks for print area.
  `boolean`
  `isFilter()`
  Checks if is filter.
  `boolean`
  `isFilterUnique()`
  Checks if is filter unique.
  `boolean`
  `isFitToPage()`
  Checks if is fit to page.
  `boolean`
  `isShowAutoFilter()`
  Checks if is show auto filter.
  `boolean`
  `isShowFormulas()`
  Checks if is show formulas.
  `boolean`
  `isShowGridLines()`
  Checks if is show grid lines.
  `boolean`
  `isShowHeaders()`
  Checks if is show headers.
  `boolean`
  `isShowOutlineSymbols()`
  Checks if is show outline symbols.
  `boolean`
  `isShowPageBreaks()`
  Checks if is show page breaks.
  `boolean`
  `isShowRuler()`
  Checks if is show ruler.
  `boolean`
  `isShowZeroValues()`
  Checks if is show zero values.
  `void`
  `setAutoFilter​(AutoFilter autoFilter)`
  Sets the auto filter.
  `void`
  `setColorID​(int colorID)`
  Sets the color id.
  `void`
  `setFilter​(boolean filter)`
  Sets the filter.
  `void`
  `setFilterUnique​(boolean filterUnique)`
  Sets the filter unique.
  `void`
  `setFitToPage​(boolean fitToPage)`
  Sets the fit to page.
  `void`
  `setGuid​(String guid)`
  Sets the guid.
  `void`
  `setHiddenColumns​(boolean hasHiddenColumns)`
  Sets the hidden columns.
  `void`
  `setHiddenRows​(boolean hasHiddenRows)`
  Sets the hidden rows.
  `void`
  `setPageMargins​(PageMargins pageMargins)`
  Sets the page margins.
  `void`
  `setPrintArea​(boolean hasPrintArea)`
  Sets the prints the area.
  `void`
  `setPrintOptions​(PrintOptions printOptions)`
  Sets the prints the options.
  `void`
  `setPrintScale​(int printScale)`
  Sets the prints the scale.
  `void`
  `setSelection​(Selection selection)`
  Sets the selection.
  `void`
  `setShowAutoFilter​(boolean showAutoFilter)`
  Sets the show auto filter.
  `void`
  `setShowFormulas​(boolean showFormulas)`
  Sets the show formulas.
  `void`
  `setShowGridLines​(boolean showGridLines)`
  Sets the show grid lines.
  `void`
  `setShowHeaders​(boolean showHeaders)`
  Sets the show headers.
  `void`
  `setShowOutlineSymbols​(boolean showOutlineSymbols)`
  Sets the show outline symbols.
  `void`
  `setShowPageBreaks​(boolean showPageBreaks)`
  Sets the show page breaks.
  `void`
  `setShowRuler​(boolean showRuler)`
  Sets the show ruler.
  `void`
  `setShowZeroValues​(boolean showZeroValues)`
  Sets the show zero values.
  `void`
  `setTopLeftCell​(String topLeftCell)`
  Sets the top left cell.
  `void`
  `setViewPane​(SheetViewPane viewPane)`
  Sets the view pane.
  `void`
  `setViewType​(SheetViewType viewType)`
  Sets the view type.
  `void`
  `setVisibilityState​(SheetVisibilityType visibilityState)`
  Sets the visibility state.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CustomSheetView

    public CustomSheetView()
    Instantiates a new custom sheet view.

- ## Method Details

  - ### clone

    public CustomSheetView clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAutoFilter

    public AutoFilter getAutoFilter()
    Gets the auto filter.
    Returns:
      the auto filter

  - ### setAutoFilter

    public void setAutoFilter​(AutoFilter autoFilter)
    Sets the auto filter.
    Parameters:
      `autoFilter` - the new auto filter

  - ### getVerticalPageBreaks

    public List<Break> getVerticalPageBreaks()
    Gets the vertical page breaks.
    Returns:
      the vertical page breaks

  - ### getHeaderFooterSettings

    public HeaderFooterSettings getHeaderFooterSettings()
    Gets the header footer settings.
    Returns:
      the header footer settings

  - ### getPageMargins

    public PageMargins getPageMargins()
    Gets the page margins.
    Returns:
      the page margins

  - ### setPageMargins

    public void setPageMargins​(PageMargins pageMargins)
    Sets the page margins.
    Parameters:
      `pageMargins` - the new page margins

  - ### getPageSetupSettings

    public PageSetupSettings getPageSetupSettings()
    Gets the page setup settings.
    Returns:
      the page setup settings

  - ### getViewPane

    public SheetViewPane getViewPane()
    Gets the view pane.
    Returns:
      the view pane

  - ### setViewPane

    public void setViewPane​(SheetViewPane viewPane)
    Sets the view pane.
    Parameters:
      `viewPane` - the new view pane

  - ### getPrintOptions

    public PrintOptions getPrintOptions()
    Gets the prints the options.
    Returns:
      the prints the options

  - ### setPrintOptions

    public void setPrintOptions​(PrintOptions printOptions)
    Sets the prints the options.
    Parameters:
      `printOptions` - the new prints the options

  - ### getHorizontalPageBreaks

    public List<Break> getHorizontalPageBreaks()
    Gets the horizontal page breaks.
    Returns:
      the horizontal page breaks

  - ### getSelection

    public Selection getSelection()
    Gets the selection.
    Returns:
      the selection

  - ### setSelection

    public void setSelection​(Selection selection)
    Sets the selection.
    Parameters:
      `selection` - the new selection

  - ### getColorID

    public int getColorID()
    Gets the color id.
    Returns:
      the color id

  - ### setColorID

    public void setColorID​(int colorID)
    Sets the color id.
    Parameters:
      `colorID` - the new color id

  - ### isFilter

    public boolean isFilter()
    Checks if is filter.
    Returns:
      true, if is filter

  - ### setFilter

    public void setFilter​(boolean filter)
    Sets the filter.
    Parameters:
      `filter` - the new filter

  - ### isFilterUnique

    public boolean isFilterUnique()
    Checks if is filter unique.
    Returns:
      true, if is filter unique

  - ### setFilterUnique

    public void setFilterUnique​(boolean filterUnique)
    Sets the filter unique.
    Parameters:
      `filterUnique` - the new filter unique

  - ### isFitToPage

    public boolean isFitToPage()
    Checks if is fit to page.
    Returns:
      true, if is fit to page

  - ### setFitToPage

    public void setFitToPage​(boolean fitToPage)
    Sets the fit to page.
    Parameters:
      `fitToPage` - the new fit to page

  - ### getGuid

    public String getGuid()
    Gets the guid.
    Returns:
      the guid

  - ### setGuid

    public void setGuid​(String guid)
    Sets the guid.
    Parameters:
      `guid` - the new guid

  - ### hasHiddenColumns

    public boolean hasHiddenColumns()
    Checks for hidden columns.
    Returns:
      true, if successful

  - ### setHiddenColumns

    public void setHiddenColumns​(boolean hasHiddenColumns)
    Sets the hidden columns.
    Parameters:
      `hasHiddenColumns` - the new hidden columns

  - ### hasHiddenRows

    public boolean hasHiddenRows()
    Checks for hidden rows.
    Returns:
      true, if successful

  - ### setHiddenRows

    public void setHiddenRows​(boolean hasHiddenRows)
    Sets the hidden rows.
    Parameters:
      `hasHiddenRows` - the new hidden rows

  - ### isShowOutlineSymbols

    public boolean isShowOutlineSymbols()
    Checks if is show outline symbols.
    Returns:
      true, if is show outline symbols

  - ### setShowOutlineSymbols

    public void setShowOutlineSymbols​(boolean showOutlineSymbols)
    Sets the show outline symbols.
    Parameters:
      `showOutlineSymbols` - the new show outline symbols

  - ### hasPrintArea

    public boolean hasPrintArea()
    Checks for print area.
    Returns:
      true, if successful

  - ### setPrintArea

    public void setPrintArea​(boolean hasPrintArea)
    Sets the prints the area.
    Parameters:
      `hasPrintArea` - the new prints the area

  - ### getPrintScale

    public int getPrintScale()
    Gets the prints the scale.
    Returns:
      the prints the scale

  - ### setPrintScale

    public void setPrintScale​(int printScale)
    Sets the prints the scale.
    Parameters:
      `printScale` - the new prints the scale

  - ### isShowAutoFilter

    public boolean isShowAutoFilter()
    Checks if is show auto filter.
    Returns:
      true, if is show auto filter

  - ### setShowAutoFilter

    public void setShowAutoFilter​(boolean showAutoFilter)
    Sets the show auto filter.
    Parameters:
      `showAutoFilter` - the new show auto filter

  - ### isShowFormulas

    public boolean isShowFormulas()
    Checks if is show formulas.
    Returns:
      true, if is show formulas

  - ### setShowFormulas

    public void setShowFormulas​(boolean showFormulas)
    Sets the show formulas.
    Parameters:
      `showFormulas` - the new show formulas

  - ### isShowGridLines

    public boolean isShowGridLines()
    Checks if is show grid lines.
    Returns:
      true, if is show grid lines

  - ### setShowGridLines

    public void setShowGridLines​(boolean showGridLines)
    Sets the show grid lines.
    Parameters:
      `showGridLines` - the new show grid lines

  - ### isShowPageBreaks

    public boolean isShowPageBreaks()
    Checks if is show page breaks.
    Returns:
      true, if is show page breaks

  - ### setShowPageBreaks

    public void setShowPageBreaks​(boolean showPageBreaks)
    Sets the show page breaks.
    Parameters:
      `showPageBreaks` - the new show page breaks

  - ### isShowHeaders

    public boolean isShowHeaders()
    Checks if is show headers.
    Returns:
      true, if is show headers

  - ### setShowHeaders

    public void setShowHeaders​(boolean showHeaders)
    Sets the show headers.
    Parameters:
      `showHeaders` - the new show headers

  - ### isShowRuler

    public boolean isShowRuler()
    Checks if is show ruler.
    Returns:
      true, if is show ruler

  - ### setShowRuler

    public void setShowRuler​(boolean showRuler)
    Sets the show ruler.
    Parameters:
      `showRuler` - the new show ruler

  - ### getVisibilityState

    public SheetVisibilityType getVisibilityState()
    Gets the visibility state.
    Returns:
      the visibility state

  - ### setVisibilityState

    public void setVisibilityState​(SheetVisibilityType visibilityState)
    Sets the visibility state.
    Parameters:
      `visibilityState` - the new visibility state

  - ### getTopLeftCell

    public String getTopLeftCell()
    Gets the top left cell.
    Returns:
      the top left cell

  - ### setTopLeftCell

    public void setTopLeftCell​(String topLeftCell)
    Sets the top left cell.
    Parameters:
      `topLeftCell` - the new top left cell

  - ### getViewType

    public SheetViewType getViewType()
    Gets the view type.
    Returns:
      the view type

  - ### setViewType

    public void setViewType​(SheetViewType viewType)
    Sets the view type.
    Parameters:
      `viewType` - the new view type

  - ### isShowZeroValues

    public boolean isShowZeroValues()
    Checks if is show zero values.
    Returns:
      true, if is show zero values

  - ### setShowZeroValues

    public void setShowZeroValues​(boolean showZeroValues)
    Sets the show zero values.
    Parameters:
      `showZeroValues` - the new show zero values